Skip to main content
POST
Enhance
Important: The original job must be created in draft mode. This means the original job’s prompt must include the parameters: --v 7 --draft

Headers

Request Body

Example Request

Response

Returns a task object containing the task information.
This is the initial success response. Use the job_id to check the task status via the Get Task endpoint to retrieve the completed result with image URLs.

Authorizations

x-api-key
string
header
required

API key for authentication

Body

application/json
jobId
string<uuid>
required

ID of the draft mode image to enhance

imageNo
integer
required

Image number to enhance (0, 1, 2, or 3)

Required range: 0 <= x <= 3
Example:

0

callback
string<uri>

Callback URL for task completion notifications

Response

200

Enhance task created successfully